Welcome

DesktopBFL
A True Companion of Body-for-LIFE


Introduction

DesktopBFL is software, which will help you manage the activities such as exercises and meals if you are following or planning Body-for-LIFE program. Body-for-LIFE program is a 12-week program to improve your mental and physical strength. The major steps in which the program helps you to achieve the strength are setting goals, doing strength training and aerobics, taking meals at regular intervals, and tracking progress. For more details about the program, Please refer to Body-for-LIFE book. You can purchase it online from link on our website http://www.cellica.com

This guide is addressed to the individual who is following Body-for-LIFE program or is planning to do so. It provides complete instructions for using DesktopBFL software. It is assumed that reader is familiar with the basic features and operations of the Microsoft® Windows® operating system, and using mouse.


Requirements

 System Requirements

The computer onto which DesktopBFL is to be installed must meet the following minimum specifications.

  • At least 32 MB RAM
  • 10 MB free hard disk space
  • Internet Explorer 5.0 or later
  • Any of the following Windows versions:
    • Windows 95
    • Windows 98
    • Windows NT
    • Windows 2000
    • Windows ME
    • Windows XP

Installation

DesktopBFL Provides automated setup, which takes care of all your installation needs of DesktopBFL on computer. Follow the next steps to install DesktopBFL on your computer.

  • Close all open applications.

  • Open the Windows Start menu and choose Run...
  • In the Run dialog, click Browse.
  • In the Browse dialog, navigate to the file that was downloaded from the web site. Click Open.
  • In the Run dialog, click OK.

    Follow the on-screen instructions until installation is completed. The installation process will install the DesktopBFL software on to your Windows computer.


DesktopBFL

Using DesktopBFL

This section contains detailed instructions for managing various tasks for Body-for-LIFE program using DesktopBFL (On Personal Computer). You can just roll on to specific topic of your need or just follow the documentation from top to bottom. DesktopBFL application has ability to present various reports similar to those available in Body-for-LIFE book. DesktopBFL also has ability to print those reports.

Common Controls

DesktopBFL provides some operations, which are common in almost all screens. Every screen, except DesktopBFL Home, has following buttons. Following images display some of the common button and menu controls available in DesktopBFL.

Create new record of specific type. For example, if you are on meal setup screen and you click this button, then DesktopBFL will display a screen to allow you to create new meal.

Save new or modified contents.

Delete selected record.

Fill the form contents with previously saved record of same day or type.

Return to DesktopBFL Home.

Every screen, except DesktopBFL Home, provides menu bar as shown below:

This menu bar is available on every screen, you can use [image] button on it to go to DesktopBFL Home anytime you want. About & Utility menus don’t have submenus. Following figures explain Setup, Daily Work and Reports menu.

Starting Application

  1. Open the Windows Start menu. Select Programs > DesktopBFL > Start DesktopBFL, as shown below.

  2. When you launch DesktopBFL and not registered, then following registration screen appears.

  3. If you don't have registration code then contact our site for it. Log onto the DesktopBFL registration site by pointing your browser to http://www.cellica.com/products.htm. From there choose any of our partners to purchase the software.

  4. If you have received the registration code via email, please enter that in the space provided, and click on Register button to register DesktopBFL . You may also choose to try the software for a limited time by pressing on Evaluate button.

The screen, which appears after previous form, is "DesktopBFL Home". From here you can navigate to any form you want to work with.

When DesktopBFL application gets started, one more important feature gets activated. That feature is called as DesktopBFL Alerter. It’s a very powerful feature, which gives mealtime alarms on desktop side also. It can be accessed by right clicking on DesktopBFL Alerter icon, which appears in system tray near clock.

Planning Activities

Body-for-LIFE daily activities includes planning and performing upper body or lower body or aerobic exercises. Meal and supplement intakes must also be very well planned and performed accordingly. Planning daily exercise with DesktopBFL is easy. Following steps describe the daily exercise planning for Upper body, Aerobics and Lower body as outlined in "Body-for-LIFE" book. DesktopBFL has Plan Forwarding capabilities. For example, suppose you created plan for day 1, which is for upper body. Now when you go for day 5, which is for upper body, then DesktopBFL creates default plan for that similar to the plan of day 1. You do not have to enter the same values again. That means, new plan gets created with the help of recent day plan.

Upper Body Workout

  1. Click Upper Body hyperlink on Desktop DesktopBFL Home or Select Upper Body option from Daily Work menu of Common Toolbar.

  2. You’ll see the following Upper Body exercise screen.

  3. Make sure that category dropdown display "Plan".

  4. Make sure that correct user name is selected.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time.
  7. Select muscle group by selecting the Body Part. For example: Chest.
  8. Select the first exercise by selecting dropdown of Set 1 to 5.
  9. Make changes to Repetitions, Weights, Rest, and Intensity.
  10. Select the second exercise by selecting dropdown of Set 6.
  11. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  12. Repeat steps 7 to 11 to create planned exercises for all the muscle groups in Upper Body.
  13. Add your comments or reminders by clicking in Note area and entering the text.
  14. Click on [image] Button to save.

Aerobics Workout

  1. Click Aerobics hyperlink on Desktop DesktopBFL Home or Select Aerobics option from Daily Work menu.

  2. You’ll see the following Aerobics screen.

  3. Make sure that category dropdown display "Plan".

  4. Make sure that correct user name is used.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time. This will build the Intensity table according to total min.
  7. Set the intensity values for specific minute in Intensity table.
  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • Intensity (minute by minute) table will be generated by Total min. If total minutes are 20 then you can input 20 intensity values.

Lower Body Workout

  1. Click Lower Body hyperlink on Desktop DesktopBFL Home or Select Lower Body option from Daily Work menu.

  2. You’ll see the following Lower Body exercise screen.

  3. Make sure that category drop-down display "Plan".

  4. Make sure that the user name is correct.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user with the contents of previous recent record of same type or with the default record if no recent record of same type exists.
  6. Select start and end time.
  7. Select muscle group by selecting the Body Part. For example: Hamstrings.
  8. Select the first exercise by selecting dropdown of Set 1 to 5.
  9. Make changes to Repetitions, Weights, Rest, and Intensity.
  10. Select the second exercise by selecting dropdown of Set 6.
  11. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  12. Repeat steps 7 to 11 to create planned exercises for all the muscle groups in Lower Body.
  13. Add your comments or reminders by clicking in Note area and entering the text.
  14. Click on [image] Button to save.

Planning Meal

  1. Click Daily meal hyperlink on Desktop DesktopBFL Home or Select Meal option from Daily Work menu. You’ll see the following Daily meal screen.

  2. Select meal of Regular type

  3. Make sure that category dropdown display Plan.
  4. Make sure that user name is correct.
  5. Select the day dropdown to create the plan for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of the recent record of same type or, with the default record, if no recent record of same type exists.
  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the nutritional values such as Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Planning Supplement

  1. Click Daily meal hyperlink on Desktop DesktopBFL Home or Select Meal option from Daily Work menu.

  2. Select Supplement from Interval For dropdown. You’ll see the following Daily meal screen.

  3. Make sure that category dropdown display Plan.

  4. Make sure that user name correct.
  5. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the contents of the recent record of same type or, with the default record, if no record of the same type exists.

  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the Nutritional Facts dropdown to see the portions of various elements like Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Performing Activities

You planned your exercises, your meals for your Body-for-LIFE. You performed them at your best level. Its time to record what you actually did? How much you really ate? How much weight you really lifted and other similar things.

Upper Body Workout

  1. Click Upper Body hyperlink on Desktop DesktopBFL Home or Select Upper Body option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following screen.

  3. Make sure that the user name is correct.

  4. Select the day dropdown to record the values for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of planned workout for that day.
  5. Select start and end time.
  6. Select muscle group by selecting the Body Part. For example: Chest.
  7. Select the first exercise by selecting dropdown of Set 1 to 5.
  8. Make changes to Repetitions, Weights, Rest, and Intensity.
  9. Select the second exercise by selecting dropdown of Set 6.
  10. Make changes to Repetitions, Weights, Rest, and Intensity for that set
  11. Repeat steps 6 to 10 to create planned exercises for all the muscle groups in Upper Body.
  12. Add your comments or reminders by clicking in Note area and entering the text.
  13. Click on [image] Button to save.

  • If the actual values for the previous day’s plan were not entered then DesktopBFL prompts to skip it or to enter those values first.

Aerobics Workout

  1. Click Aerobics hyperlink on Desktop DesktopBFL Home or Select Aerobics option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You will see the following screen.

  3. Make sure the user name is correct.

  4. Select the day dropdown to record Actual of the specific day. New record will be created, if not present, when you change day, category or user. This is done with the help of contents of the planned workout for that day.
  5. Select start and end time. This will build the Intensity table according to total min.
  6. Set the intensity values for specific minute in Intensity table.
  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] Button.

  • If the actual values for the previous day’s plan were not entered then DesktopBFL prompts to skip it or to enter those values first.

Lower Body Workout

  1. Click Lower Body hyperlink on Desktop DesktopBFL Home or Select Lower Body option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You will see the following screen.

  3. Make sure that user name is correct.

  4. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of the planned workout for that day.
  5. Select start and end time.
  6. Select muscle group by selecting the Body Part. For example: Hamstrings.
  7. Select the first exercise by selecting dropdown of Set 1 to 5.
  8. Make changes to Repetitions, Weights, Rest, and Intensity.
  9. Select the second exercise by selecting dropdown of Set 6.
  10. Make changes to Repetitions, Weights, Rest, and Intensity for that set.
  11. Repeat steps 6 to 11 to create planned exercises for all the muscle groups in Lower Body.
  12. Add your comments or reminders by clicking in Note area and entering the text.
  13. Click on [image] Button to save.

  • If the actual values for the previous day’s plan were not entered then DesktopBFL prompts to skip it or to enter those values first.

Actual Meal

  1. Click Daily meal hyperlink on Desktop DesktopBFL Home or Select Meal option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following Daily meal screen.

  3. Select Meal of type Regular

  4. Make sure that user name is correct.

  5. Select the day dropdown to create the Actual for specific day. New record would be created, if not present, when you change day, category or user. This is done with the contents of planned meals for that day.

  6. Add required food by selecting them in meal popup and pressing Add button.

  7. Repeat step 6 for required intervals.

  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the nutritional values such as Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is common to both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Actual Supplement

  1. Click daily meal hyperlink on Desktop DesktopBFL Home or Select Meal option from Daily Work menu.

  2. Make sure that category dropdown display Actual. You’ll see the following Daily meal screen.

  3. Select meal of type Supplement. Make sure that category dropdown display Actual.

  4. Select the day dropdown to record the values for specific day. New record would be created, if not present, when you change day, category or user. This is done with the help of contents of the planned supplements for that day.

  5. Add required food by selecting them in meal popup and pressing Add button.

  6. Repeat step 5 for required intervals.

  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] Button.

  • You can change the "Nutritional Facts" dropdown to see the portions of various elements like Proteins, Carbohydrates, Fats and Calories in percentage or average.

  • Note field is shared between both meal types Regular and Supplement.

  • You can remove required food from interval by selecting and pressin g Remove button.

Tracking Progress

It is important to take measurements regularly to track your progress. This way you can alter the workout, meals to effectively follow the Body-for-LIFE program. DesktopBFL allows you to record your weight and other measurements at a regular interval. DesktopBFL also has features like Photo album and Graph reports so that you can study your improvements in pictorial way (discussed in Reports) Next we will be discussing, How to take your body measurements. These measurement details are used while creating Photo Album and Graphs.

  1. Click measurements hyperlink on Desktop DesktopBFL Home or Select Measurements option from Daily Work menu. You’ll see the following Body measurement screen.

  2. Select user name.

  3. Click on [image] button. This will add new number in Measurement Number field.
  4. Select the unit of measurement in which you’ll going to enter your entries.
  5. Fill measurement fields Left Thigh, Right Thigh, Left Arm, Right Arm, Left Calf, Right Calf, Chest, Waist, Neck, Hips, Forearm, wrist, height and abdominal.
  6. Fill Weight and Fat as well. You can manually enter fat or select methods like YMCA or US Army for automatically filling Fat field.
  7. Click on Browse button if want to select your picture to associate these measurements. It supports various image formats like BMP, JPEG, TIFF, PNG, TGA. .
  8. Add your comments or reminders by clicking in Note area and entering the text.
  9. Click on [image] button.

  • You can click on iconic image to open it in different window in maximize mode.

DesktopBFL Alerter

DesktopBFL Alerter provides alarming facility on the Windows desktop. You can access Alerter by right clicking on DesktopBFL Alerter Icon, which is near clock in system tray, at the right-hand bottom of your screen. This alarming facility is provided for Daily Meal Desktop activity.

Right clicking on it will provide you options as follows:

  • Click on Hide option will hide DesktopBFL Desktop and changes Hide Option to Show. Clicking on Show will once again displays DesktopBFL Desktop and changes Show option to Hide.

  • User List provides list of all users. Alarm will only trigger for the selected user.

  • Mute All option will turn alarms off for all the users.

  • Tip of the Day option will give the tip so that you can work smart with DesktopBFL.
  • Exit option will close DesktopBFL Desktop and Alerter.

When alarm triggers, Meal Alarm window appears showing time, user name and meal or supplement to take as follows:

  • If you reset system time of your computer, alarms for all valid time will get set again. E.g. If you set system time from 7:30 PM to 9:30 AM on May 20, 2002 then records on May 20, 2002 having mealtime greater than or equal to 9:30 AM are considered while setting new alarm.

Utility

DesktopBFL provides simple calculator utility through which you can calculate Body Mass Index, Heart Rate, Waist-to-Hip ratio and Body Fat Percentage. You can access Utility by clicking on Utility menu.

Customize

Desktop DesktopBFL can also be customized. You can Add, Delete users, meals and exercises. You can also create new 84-day Body-for-LIFE cycle. Major customizations are described below:

Adding User

  1. Click user hyperlink on DesktopBFL Home or Select User option from Setup menu.

  2. You’ll see following User Setup screen.

  3. Click on [image] button to add new user. Cursor focus now goes to user name field.

  4. Enter title, name, birth date and goal of user.
  5. Click on [image] button.
  6. Repeat from step 3 to 5 to add more users.

  • User name must be less than 20 characters.

Adding New 84-Day Cycle

  1. Select New Cycle from Setup menu. You’ll see following New Cycle screen.

  2. To create new cycle, perform the steps as given in image (Steps to Create New Cycle).

  3. After you performed those steps, you will have new cycle created for the selected user. Now you can use DesktopBFL with new Body-for-LIFE cycle for the user. Previous cycle information will get displayed in Previous Cycle Information list box.
  4. To view your previous cycle information, select the cycle from the Previous Cycle Information list box and click on View button. Now DesktopBFL will shift to Backup mode. You will see Current working mode as Backup on this form. Here after whatever operation that you will do on DesktopBFL desktop will be on this selected cycle. You can view or modify your previous information.
  5. To return to Normal mode from Backup mode, Click on Restore button, which appear instead of View button while in Normal mode.

Adding Exercise

  1. Click exercise database hyperlink on DesktopBFL Home or Select Exercise Database option from Setup menu.

  2. You’ll see following Exercise Setup screen

  3. Select the Exercise group and Body part for which you are creating exercise. For example, Exercise group can be Upper Body and Body Part can be Chest.

  4. Click on [image] button. The cursors focus now goes to Exercise name field.
  5. Enter Exercise name.
  6. Add your exercise description, comments or reminders by clicking in Note area and
  7. Click on [image] button.

  • Exercise name should be less than 100 characters.

Adding Meal

  1. Click meal database hyperlink on DesktopBFL Home or Select Meal Database option from Setup menu.

  2. Select Regular from meal type dropdown.
  3. You’ll see following Meal Setup Screen.

  4. Click on [image] button. This will bring focus to Meal Name field.

  5. Enter meal name in Meal name field.
  6. Fill details of various portions like Calories, Total Fat, Saturated Fat, Sugar, Cholesterol, Dietary Fiber, Potassium, Sodium, Total Carbohydrate and Protein.
  7. Add your comments or reminders by clicking in Note area and entering the text.
  8. Click on [image] button.

  • You can able to add food from USDA food to your meal database by checking USDA Nutritional Database option. Meal Setup form looks like as follows after you check USDA Nutritional Database option.

    Adding Supplement

    1. Click meal database hyperlink on DesktopBFL Home or Select Meal Database option from Setup menu.

    2. Select Supplement from meal type dropdown. You’ll see following Meal Setup screen.

    3. Click on [image] button. This will bring focus to Meal Name field.

    4. Enter meal name in Meal name field.
    5. Fill details of various portions like Calories, Total Fat, Saturated Fat, Sugar, Cholesterol, Dietary Fiber, Potassium, Sodium, Total Carbohydrate and Protein.
    6. Add your comments or reminders by clicking in Note area and entering the text.
    7. Click [image] button.

    • You can able to add food from USDA food to your meal database by checking USDA Nutritional Database option.

    Reports

    DesktopBFL Desktop provides various reports similar in appearance as of Body-for-LIFE. We also designed some reports, which we think are really useful to improve your Body-for-LIFE, like Photo Album, Graph Report and Measurement Report.

    - Printing Report:

    • Click report hyperlink for respective reports on DesktopBFL Home or Select appropriate report option from Reports menu.

    • Make sure that the user name is correct.
    • Click on Print... button.

    - Report formats are given below:

    Upper Body Exercise Report

    Aerobics Report

    Lower Body Exercise Report

    Daily Meal Report

    Measurement Report

    Photo Album

    Photo album displays selected images with few measurements like chest, weight, waist and hips. This album is generated with the help of entries you made through Measurement Form. It displays four images on one page. You can scroll for next or previous four sets of images if any.

    Graph

    When you select Graph from Reports menu. It displays 9 small charts of different parts like – chest, shoulders and etc. You can click on any one of them to change it to detail mode. Detail mode view provides all information like – date and measurement value. Clicking on Detail mode chart make you return to small size mode where you can see all 9 charts. If you keep mouse pointer on some bar for few seconds, bubble help appears which displays its value.

    Support

    Frequently Asked Questions

    Frequently Asked Questions (FAQ) are questions that our customers routinely ask us or email about.

    1. If I create record, for daily upper and lower body, where Plan exercise is different than Actual exercise than report only shows Actual.

      If you see the standard reports of Body-for-LIFE, for daily upper and lower body exercise, you’ll notice that Actual exercise is not included in it. We decided to design DesktopBFL reports closer to the standard as much is possible. But we thought it would be helpful to present actual exercise instead of presenting plan when they are not the same.

    Technical Support

    All questions regarding DesktopBFL can be submitted to support@cellica.com. DesktopBFL is an unofficial software product, for Body-for-LIFE, of Cellica Software Services. It is not affiliated with or endorsed by: Bill Philips, BodyForLife.com http://www.bodyforlife.com/, EAS http://www.eas.com/ or Muscle Media http://www.musclemedia.com. Please do not contact Mr. Bill Philips, EAS or Muscle Media for questions regarding DesktopBFL.


Tips

You can use the tips given below so that you can work efficiently with DesktopBFL.

DesktopBFL Tips

  1. DesktopBFL provides meal time alarms.

  2. You can turn off the alarm sound by selecting Mute All option from menu, which appears when you right click on DesktopBFL Alerter Icon that is in system tray.
  3. User list can be accessed through Users List option from menu, which appears when you right click on DesktopBFL Alerter Icon that is in system tray.
  4. Closing DesktopBFL Desktop window just hides it. To remove it, you need to select Exit option from menu which appears when you right click on DesktopBFL Alerter Icon which is in system tray, But it will disable Desktop Meal Alarms.
  5. Deselecting user name from Users List option from menu, which appears in system tray after clicking on DesktopBFL Alerter Icon, will mute alarm sound of that specific user.
  6. You can toggle state of DesktopBFL window from Hide to Show and vice-versa by selecting Hide or Show option from menu which appears when you right click on DesktopBFL Alerter Icon which is in system tray.
  7. You can give focus or display DesktopBFL window by clicking on DesktopBFL Alerter Icon.
  8. You can print the reports by clicking on Print... button on any report.
  9. DesktopBFL now supports various Body related computations such as Waist-to-Hip ratio, Body Mass Index(BMI), Heart rate and Body Fat Percentage. All the calculations can be done using new form viz. Utilities as well as Measurement Form.
  10. You can calculate Body Fat Percentage by using YMCA as well as US Army method for male and female. Computation can be done on Measurement form as well as Utilities form.
  11. You can add your own photograph using Measurement Form.
  12. You can study the progress in your body by viewing all the photographs in a single place. Select Photo Album from Report menu.
  13. It is possible to take printout of a single photograph. Click on the thumbnail image, which will open the DesktopBFL Viewer. You can use the Print... option in its image menu to take printout.
  14. Now you can compare the progress in your body throughout the Body-for-LIFE program by using the charts. Just select Comparision Report from Reports Menu.
  15. You can Zoom-In or Zoom-Out of the graph by clicking the icons below the graphs.
  16. Now you can perform common Windows Operations such as Cut, Copy and Paste using commands "Ctrl+X", "Ctrl+C" and "Ctrl+V" respectively, on any form of the DesktopBFL.
  17. You can now add multiple meals in the single interval on Daily Meal Form.
  18. You now have access to the full USDA database. You can add any meal form the USDA database by checking the "USDA Nutritional Database" button and adding the desired meal from the database and by clicking "Add to our database" button.


Disclaimer

DesktopBFL is independently developed software. Please, do not contact Mr. Bill Phillips, EAS Inc, or any related authority of Body-for-LIFE, regarding DesktopBFL. Please consult with your physician before using DesktopBFL. Cellica Software Services do not assume any responsibility for the use of this software.


Installation

DesktopBFL Provides automated setup, which takes care of all your installation needs of DesktopBFL on computer. Follow the next steps to install DesktopBFL on your computer.

  • Close all open applications.

  • Open the Windows Start menu and choose Run...
  • In the Run dialog, click Browse.
  • In the Browse dialog, navigate to the file that was downloaded from the web site. Click Open.
  • In the Run dialog, click OK.

    Follow the on-screen instructions until installation is completed. The installation process will install the DesktopBFL software on to your Windows computer.